## ark 4.8.4

=== CMakeLists.txt ===
project(ark)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    find_package(KDE4)
    include( KDE4Defaults )
    include_directories(${KDE4_INCLUDES})

    add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
    add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

    # If definitions like -D_GNU_SOURCE are needed for these checks they
    # should be added to _KDE4_PLATFORM_DEFINITIONS when it is originally
    # defined outside this file.  Here we include these definitions in
    # CMAKE_REQUIRED_DEFINITIONS so they will be included in the build of
    # checks below.
    set( CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS} )
endif()

include( MacroLibrary )
list(APPEND CMAKE_MODULE_PATH ${ark_SOURCE_DIR}/cmake/modules)

macro_optional_find_package(LibArchive)
macro_log_feature(LIBARCHIVE_FOUND "LibArchive" "A library for dealing with a wide variety of archive file formats" "http://code.google.com/p/libarchive/" FALSE "" "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(SUPPORTED_ARK_MIMETYPES "")

add_subdirectory(plugins)
add_subdirectory(kerfuffle)
add_subdirectory(part)
add_subdirectory(app)
add_subdirectory(doc)

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    message(STATUS "Supported MIME types: ${SUPPORTED_ARK_MIMETYPES}")
    macro_display_feature_log()
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})

=== kerfuffle/CMakeLists.txt ===
macro_optional_find_package(QJSON)
macro_log_feature(QJSON_FOUND "qjson" "A library for processing and serializing JSON files" "http://qjson.sourceforge.net" FALSE "" "Required for compiling Ark's unit tests")

########### next target ###############

set(kerfuffle_SRCS
    archive.cpp
    archiveinterface.cpp
    jobs.cpp
    archivebase.cpp
	extractiondialog.cpp
	adddialog.cpp
	queries.cpp
	addtoarchive.cpp
	cliinterface.cpp
   )

kde4_add_kcfg_files(kerfuffle_SRCS settings.kcfgc)

kde4_add_ui_files(kerfuffle_SRCS extractiondialog.ui adddialog.ui )

kde4_add_library(kerfuffle SHARED ${kerfuffle_SRCS})

target_link_libraries(kerfuffle ${KDE4_KFILE_LIBS} ${KDE4_KPARTS_LIBS})
if (NOT WIN32)
  target_link_libraries(kerfuffle ${KDE4_KPTY_LIBS})
endif (NOT WIN32)

set_target_properties(kerfuffle PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS kerfuffle ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kerfufflePlugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES ark.kcfg                DESTINATION ${KCFG_INSTALL_DIR})

if (QJSON_FOUND)
  # This is a hack to make QJSON work with both 0.7.1 (the latest stable)
  # and the current master (b440550), which uses a different casing for
  # the CMake variables.
  # It should be removed when QJSON master becomes sane and reverts the
  # casing again.
  if (QJSON_LIBRARIES AND QJSON_INCLUDE_DIR)
    set(KERFUFFLE_QJSON_LIBRARIES "${QJSON_LIBRARIES}")
    set(KERFUFFLE_QJSON_INCLUDE_DIR "${QJSON_INCLUDE_DIR}")
  else (QJSON_LIBRARIES AND QJSON_INCLUDE_DIR)
    set(KERFUFFLE_QJSON_LIBRARIES "${qjson_LIBRARIES}")
    set(KERFUFFLE_QJSON_INCLUDE_DIR "${qjson_INCLUDE_DIR}")
  endif (QJSON_LIBRARIES AND QJSON_INCLUDE_DIR)

  add_subdirectory(tests)
endif (QJSON_FOUND)

=== plugins/libsinglefileplugin/CMakeLists.txt ===
set(kerfuffle_singlefile_SRCS singlefileplugin.cpp)
set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "")

# This MIME type was originally set in ark.desktop but is does not
# seem to be supported anywhere.  Assuming that, if it were supported,
# it would be here.
set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "${SUPPORTED_LIBSINGLEFILE_MIMETYPES}application/x-compress;")

#
# GZip files
#
macro_optional_find_package(ZLIB)

macro_log_feature(ZLIB_FOUND "ZLib" "The Zlib compression library" "http://www.zlib.net" FALSE "" "Required for the .gz format support in Ark")

if (ZLIB_FOUND)
	set(kerfuffle_libgz_SRCS gzplugin.cpp ${kerfuffle_singlefile_SRCS})
	set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "${SUPPORTED_LIBSINGLEFILE_MIMETYPES}application/x-gzip;")

	kde4_add_plugin(kerfuffle_libgz ${kerfuffle_libgz_SRCS})

	target_link_libraries(kerfuffle_libgz ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} kerfuffle )

	install(TARGETS kerfuffle_libgz DESTINATION ${PLUGIN_INSTALL_DIR} )

	install( FILES kerfuffle_libgz.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
endif (ZLIB_FOUND)

#
# Bzip2 files
#
macro_optional_find_package(BZip2)

macro_log_feature(BZIP2_FOUND "BZip2" "A high-quality data compressor" "http://www.bzip.org" FALSE "" "Required for the .bz2 format support in Ark")

if (BZIP2_FOUND)
	set(kerfuffle_libbz2_SRCS bz2plugin.cpp ${kerfuffle_singlefile_SRCS})
	set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "${SUPPORTED_LIBSINGLEFILE_MIMETYPES}application/x-bzip;application/x-bzip2;")

	kde4_add_plugin(kerfuffle_libbz2 ${kerfuffle_libbz2_SRCS})

	target_link_libraries(kerfuffle_libbz2 ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} kerfuffle )

	install(TARGETS kerfuffle_libbz2 DESTINATION ${PLUGIN_INSTALL_DIR} )

	install( FILES kerfuffle_libbz2.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
endif (BZIP2_FOUND)

#
# LZMA files
#
macro_optional_find_package(LibLZMA)

macro_log_feature(LIBLZMA_FOUND "LibLZMA" "Liblzma is used for the .xz and .lzma formats" "http://tukaani.org/xz/" FALSE "" "Required for the .xz and .lzma format support in Ark")

if (LIBLZMA_FOUND)
	set(kerfuffle_libxz_SRCS xzplugin.cpp ${kerfuffle_singlefile_SRCS})
	set(SUPPORTED_LIBSINGLEFILE_MIMETYPES "${SUPPORTED_LIBSINGLEFILE_MIMETYPES}application/x-lzma;application/x-xz;")

	kde4_add_plugin(kerfuffle_libxz ${kerfuffle_libxz_SRCS})

	target_link_libraries(kerfuffle_libxz ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} kerfuffle )

	install(TARGETS kerfuffle_libxz DESTINATION ${PLUGIN_INSTALL_DIR} )

	install( FILES kerfuffle_libxz.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
endif (LIBLZMA_FOUND)

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_LIBSINGLEFILE_MIMETYPES}" PARENT_SCOPE)

## ark 4.8.2

=== debian/changelog ===
ark (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:31:57 +0100

ark (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:51:57 +0000

ark (4:4.8.1-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release 

  [ Felix Geyer ]
  * Make ark-dbg depend on ark.

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 08 Mar 2012 16:14:48 +0100

ark (4:4.8.0a-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add build-dep on pkg-config for oneiric backports

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:41 +0000

ark (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:38 +0000

ark (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:27:45 +0100

ark (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package
  * Changes compared to Debian kdeutils:
   - ark suggests  bzip2, p7zip-full, zip, unzip, not recommends
   - ark does not support CD images - fix description

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Dec 2011 14:20:40 +0000

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libkonq5-dev,
 libbz2-dev, liblzma-dev, libqjson-dev, zlib1g-dev, libarchive-dev,
 pkg-config
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

Package: ark
Section: utils
Architecture: any
Suggests: rar, unrar | unrar-free, bzip2, p7zip-full, zip, unzip
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility 
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip.
 It can be used to browse, extract, create, and modify archives.
 .
 This package is part of the KDE SC utilities module.

Package: ark-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ark, kde-runtime-dbg
Description: debugging symbols for Ark
 This package contains debugging files used to investigate problems with
 Ark.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_install:
	$(overridden_command)
	cp debian/utilities-file-archiver.xpm debian/ark/usr/share/pixmaps

override_dh_strip:
	$(overridden_command) --dbg-package=ark-dbg

## ark 4.8.4

=== debian/changelog ===
ark (4:4.8.4-2) unstable; urgency=low

  * Team upload

  [ Eshat Cakar ]
  * Add Breaks/Replaces with previous kdeutils-dbg packages. (Closes: #678491)

 -- Sune Vuorela <sune@debian.org>  Fri, 22 Jun 2012 21:43:06 +0200

ark (4:4.8.4-1) unstable; urgency=low

  * Initial packaging, split from kdeutils.
  * Update Standards-Version to 3.9.3, no further changes.
  * Add ark-dbg package.
  * Add watch file.

 -- Eshat Cakar <info@eshat.de>  Wed, 04 Apr 2012 12:42:45 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), libkonq5-dev (>= 4:4.8),
 libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ark.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ark.git


Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, zip, unzip
Suggests: rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility 
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.


Package: ark-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ark (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.8)
Breaks: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for ark
 This package contains debugging files used to investigate problems with
 binaries included in ark.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=ark-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/ark
	rm  debian/ark/usr/lib/libkerfuffle.so

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/ark-([\d\.]*).tar.xz

## ark 4.8.5

=== debian/changelog ===
ark (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)

  [ Felix Geyer ]
  * Install ark icons.
  * Drop debian/utilities-file-archiver.xpm as ark ships its own icon now.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 16:37:55 +0200

ark (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:31:42 +0200

ark (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 21:09:07 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libkonq5-dev,
 libbz2-dev, liblzma-dev, libqjson-dev, zlib1g-dev, libarchive-dev,
 pkg-config
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

Package: ark
Section: utils
Architecture: any
Suggests: rar, unrar | unrar-free, bzip2, p7zip-full, zip, unzip
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility 
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip.
 It can be used to browse, extract, create, and modify archives.
 .
 This package is part of the KDE SC utilities module.

Package: ark-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ark, kde-runtime-dbg
Description: debugging symbols for Ark
 This package contains debugging files used to investigate problems with
 Ark.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=ark-dbg

## ark 4.9.2

=== debian/changelog ===
ark (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:08:19 +0100

ark (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:13:47 +0530

ark (4:4.9.0-0ubuntu2) UNRELEASED; urgency=low

  * Drop debian/utilities-file-archiver.xpm as ark ships its own icon now.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 11 Aug 2012 17:51:30 +0200

ark (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 16:57:12 +0100

ark (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 21:58:26 +0200

ark (4:4.8.80-0ubuntu1) quantal; urgency=low

  * Merge with Debian git repository, remaining changes:
    - Suggest instead of recommend p7zip-full
    - Add and install utilities-file-archiver.xpm
  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 06 Jun 2012 18:50:49 +0200

ark (4:4.8.3-0r0) UNRELEASED; urgency=low

  * Initial packaging, split from kdeutils.
  * Update Standards-Version to 3.9.3, no further changes.
  * Add ark-dbg package.

 -- Eshat Cakar <info@eshat.de>  Wed, 04 Apr 2012 12:42:45 +0200

ark (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 21:09:07 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2), libkonq5-dev (>= 4:4.9.2),
 libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, zip, unzip
Suggests: rar, unrar | unrar-free, p7zip-full
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility 
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

Package: ark-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ark (= ${binary:Version})
Description: debugging symbols for ark
 This package contains debugging files used to investigate problems with
 binaries included in ark.
 .
 This package is part of the KDE SC utilities module.

## ark 4.9.3

=== debian/changelog ===
ark (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:30:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libkonq5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.3), libkonq5-dev (>= 4:4.9.3),
  libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=ark-dbg
+
+override_dh_auto_install:
+	$(overridden_command) --destdir=debian/ark
+	rm debian/ark/usr/lib/libkerfuffle.so

## ark 4.9.5

=== debian/changelog ===
ark (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:18:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.3), libkonq5-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.9.5), libkonq5-dev (>= 4:4.9.3),
  libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## ark 4.10.0

=== debian/changelog ===
ark (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:27:31 +0000

ark (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:52:35 +0000

ark (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:21:33 +0100

ark (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:12:28 +0000

ark (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Disable tests, currently broken

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:30:48 +0000

ark (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Rohan Garg ]
  * Add libqjson-dev as a build-dep to run tests
    - Drop the PHONY test target from rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:40:40 +0000

ark (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:19:43 +0100

ark (4:4.9.0-0ubuntu2) raring; urgency=low

  * Drop debian/utilities-file-archiver.xpm as ark ships its own icon now.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 11 Aug 2012 17:51:30 +0200

ark (4:4.8.3-0r0) raring; urgency=low

  * Initial packaging, split from kdeutils.
  * Update Standards-Version to 3.9.3, no further changes.
  * Add ark-dbg package.

 -- Eshat Cakar <info@eshat.de>  Wed, 04 Apr 2012 12:42:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5), libkonq5-dev (>= 4:4.9.3),
- libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev
+ kdelibs5-dev (>= 4:4.10.0), libkonq5-dev (>= 4:4.10.0),
+ libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev,
+ libqjson-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

## ark 4.10.2

=== debian/changelog ===
ark (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:33:17 +0200

ark (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:09:13 +0000

ark (4:4.10.0-0ubuntu2) raring; urgency=low

  * No-change rebuild for the libarchive13 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Feb 2013 10:35:11 -0700

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libkonq5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2), libkonq5-dev (>= 4:4.10.2),
  libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev,
  libqjson-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ark
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ark
 
 Package: ark
 Section: utils

## ark 4.10.5

=== debian/changelog ===
ark (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:36:18 +0200

ark (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:20:29 +0200

ark (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:01:12 +0200

ark (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:33:17 +0200

ark (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:09:13 +0000

ark (4:4.10.0-0ubuntu2) raring-proposed; urgency=low

  * No-change rebuild for the libarchive13 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Feb 2013 10:35:11 -0700

ark (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:27:31 +0000

ark (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:52:35 +0000

ark (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:21:33 +0100

ark (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:12:28 +0000

ark (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release
  * Disable tests, currently broken

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:30:48 +0000

ark (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Rohan Garg ]
  * Add libqjson-dev as a build-dep to run tests
    - Drop the PHONY test target from rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:40:40 +0000

ark (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:19:43 +0100

ark (4:4.9.0-0ubuntu2) raring-proposed; urgency=low

  * Drop debian/utilities-file-archiver.xpm as ark ships its own icon now.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 11 Aug 2012 17:51:30 +0200

ark (4:4.8.3-0r0) raring-proposed; urgency=low

  * Initial packaging, split from kdeutils.
  * Update Standards-Version to 3.9.3, no further changes.
  * Add ark-dbg package.

 -- Eshat Cakar <info@eshat.de>  Wed, 04 Apr 2012 12:42:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libkonq5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.5), libkonq5-dev (>= 4:4.10.5),
  libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev,
  libqjson-dev
 Standards-Version: 3.9.3

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=ark-dbg

override_dh_auto_install:
	$(overridden_command) --destdir=debian/ark
	rm debian/ark/usr/lib/libkerfuffle.so

override_dh_auto_test:
	true

## ark 4.11.2

=== debian/changelog ===
ark (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:53:42 +0100

ark (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:02:29 +0100

ark (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:53:24 +0100

ark (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 18:46:38 +0100

ark (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:34 +0000

ark (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:56:19 +0100

ark (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:42:48 +0100

ark (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:31:41 +0100

ark (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian git repository, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:21 +0000

ark (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Josep Febrer ]
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Bump kdelibs5-dev and libkonq5-dev to 4:4.10.
  * Pass -DKDE4_BUILD_TESTS=false to cmake in order to keep the tests disabled.

  [ Sune Vuorela ]
  * Update uploaders

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 21:33:51 +0000

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,24 @@
  Sune Vuorela <sune@debian.org>,
  Modestas Vainius <modax@debian.org>,
  George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.5), libkonq5-dev (>= 4:4.10.5),
- libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev,
- libqjson-dev
+ kdelibs5-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2),
+ libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ark
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ark
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ark.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ark.git
+
 
 Package: ark
 Section: utils
 Architecture: any
-Recommends: bzip2, zip, unzip
-Suggests: rar, unrar | unrar-free, p7zip-full
+Recommends: bzip2, p7zip-full, zip, unzip
+Suggests: rar, unrar | unrar-free
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: archive utility 
  Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
@@ -32,11 +33,14 @@
  .
  This package is part of the KDE SC utilities module.
 
+
 Package: ark-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends}, ark (= ${binary:Version})
+Replaces: kdeutils-dbg (<< 4:4.8)
+Breaks: kdeutils-dbg (<< 4:4.8)
 Description: debugging symbols for ark
  This package contains debugging files used to investigate problems with
  binaries included in ark.

## ark 4.11.3

=== debian/changelog ===
ark (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 00:27:47 +0100

ark (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 11:59:36 +0200

ark (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 09:22:09 +0200

ark (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 19:46:52 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11), libkonq5-dev (>= 4:4.11),
 libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev,
 libqjson-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ark.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, zip, unzip
Suggests: rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

Package: ark-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ark (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.8)
Breaks: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for ark
 This package contains debugging files used to investigate problems with
 binaries included in ark.
 .
 This package is part of the KDE SC utilities module.

## ark 4.13.0

=== app/CMakeLists.txt ===
add_subdirectory(icons)

set(ark_SRCS
    batchextract.cpp
    main.cpp
    mainwindow.cpp
   )

# For Mac and Windows.
kde4_add_app_icon(ark_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-ark.png")

kde4_add_executable( ark ${ark_SRCS} )

target_link_libraries( ark kerfuffle ${KDE4_KFILE_LIBS} ${KDE4_KPARTS_LIBS} )

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark.desktop
)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_dndextract.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop
)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_servicemenu.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_servicemenu.desktop
)

install( TARGETS ark  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES ark_addtoservicemenu.desktop ${CMAKE_CURRENT_BINARY_DIR}/ark_servicemenu.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus)
install( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ark.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES arkui.rc    DESTINATION ${DATA_INSTALL_DIR}/ark )

########### konqueror ark_extract_here plugin ###############
macro_optional_find_package( LibKonq )
macro_log_feature( LIBKONQ_FOUND "LIBKONQ" "libkonq library" "kdebase" FALSE "" "Need to integrate in konqueror" )


if (LIBKONQ_FOUND)
   set(extracthere_SRCS batchextract.cpp extractHereDndPlugin.cpp)
   kde4_add_plugin(extracthere WITH_PREFIX ${extracthere_SRCS})
   target_link_libraries(extracthere kerfuffle ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS} ${LIBKONQ_LIBRARY} )
   include_directories(${LIBKONQ_INCLUDE_DIR})
   install( TARGETS extracthere DESTINATION ${PLUGIN_INSTALL_DIR} )
   install( FILES ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
endif (LIBKONQ_FOUND)

=== debian/changelog ===
ark (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:31:59 +0100

ark (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:03:35 +0200

ark (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:50:40 +0100

ark (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:29:32 +0000

ark (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:23:12 +0100

ark (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:32:11 +0000

ark (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:52:44 +0000

ark (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:19:08 +0000

ark (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:25:08 +0000

ark (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:36:44 +0100

ark (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:23:47 +0100

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0),
 libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ark
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ark
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ark.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ark.git


Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, zip, unzip
Suggests: rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility 
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.


Package: ark-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ark (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.8)
Breaks: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for ark
 This package contains debugging files used to investigate problems with
 binaries included in ark.
 .
 This package is part of the KDE SC utilities module.

## ark 4.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,16 @@
 macro_log_feature(LIBARCHIVE_FOUND "LibArchive" "A library for dealing with a wide variety of archive file formats" "http://code.google.com/p/libarchive/" FALSE "" "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")
 
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)
+
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+
+option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
+if (WITH_TEST_COVERAGE)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
+    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
+endif (WITH_TEST_COVERAGE)
 
 set(SUPPORTED_ARK_MIMETYPES "")

=== plugins/cli7zplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLI7Z_MIMETYPES "application/x-7z-compressed;")

set(kerfuffle_cli7z_SRCS cliplugin.cpp)

kde4_add_plugin(kerfuffle_cli7z ${kerfuffle_cli7z_SRCS})

target_link_libraries(kerfuffle_cli7z  ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} kerfuffle )

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_cli7z.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_cli7z.desktop
)

########### install files ###############

install(TARGETS kerfuffle_cli7z  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_cli7z.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLI7Z_MIMETYPES}" PARENT_SCOPE)

=== plugins/karchiveplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_KARCHIVE_MIMETYPES "application/zip;application/x-zip-compressed;application/x-tar;application/x-compressed-tar;application/x-bzip-compressed-tar;")

set(kerfuffle_karchive_SRCS karchiveplugin.cpp)

kde4_add_plugin(kerfuffle_karchive ${kerfuffle_karchive_SRCS})

target_link_libraries(kerfuffle_karchive  ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} kerfuffle )

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_karchive.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_karchive.desktop
)

########### install files ###############

install(TARGETS kerfuffle_karchive  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kerfuffle_karchive.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_KARCHIVE_MIMETYPES}" PARENT_SCOPE)

=== debian/changelog ===
ark (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:18:17 +0200

ark (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:44:40 +0200

ark (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:46:49 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3), libkonq5-dev (>= 4:4.13.3),
  libarchive-dev, zlib1g-dev, libbz2-dev, liblzma-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=ark-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/ark
	rm  debian/ark/usr/lib/libkerfuffle.so

## ark 4.14.1

=== debian/changelog ===
ark (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:19:23 +0200

ark (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:25:00 +0200

ark (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:01:31 +0200

ark (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:18:38 +0200

ark (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:17:36 +0200

ark (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:37:36 +0100

ark (4:4.12.4-2) UNRELEASED; urgency=low

  * Fix use_libarchive_for_zip_files. Thanks to Augusto Beiro for noticing.

 -- Sune Vuorela <sune@debian.org>  Fri, 16 May 2014 21:32:12 +0200

ark (4:4.12.4-1) unstable; urgency=medium

  * New patch: use_libarchive_for_zip_files (Closes: #723963)
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:17 +0200

ark (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:13 +0100

ark (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Add autopkgtests.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:50 +0100

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libarchive-dev,
               libbz2-dev,
               libkonq5-dev (>= 4:4.14.1),
               liblzma-dev,
               libqjson-dev,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ark
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ark
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ark.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

Package: ark-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ark (= ${binary:Version}), ${misc:Depends}
Replaces: kdeutils-dbg (<< 4:4.8)
Breaks: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for ark
 This package contains debugging files used to investigate problems with
 binaries included in ark.
 .
 This package is part of the KDE SC utilities module.
